config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.postgresql.new
config etc/logrotate.d/postgresql.new


( cd usr/bin ; rm -rf postmaster )
( cd usr/bin ; ln -sf postgres postmaster )
( cd usr/lib64 ; rm -rf libpgtypes.so )
( cd usr/lib64 ; ln -sf libpgtypes.so.3.2 libpgtypes.so )
( cd usr/lib64 ; rm -rf libecpg_compat.so.3 )
( cd usr/lib64 ; ln -sf libecpg_compat.so.3.3 libecpg_compat.so.3 )
( cd usr/lib64 ; rm -rf libpq.so.5 )
( cd usr/lib64 ; ln -sf libpq.so.5.4 libpq.so.5 )
( cd usr/lib64 ; rm -rf libecpg_compat.so )
( cd usr/lib64 ; ln -sf libecpg_compat.so.3.3 libecpg_compat.so )
( cd usr/lib64 ; rm -rf libecpg.so.6 )
( cd usr/lib64 ; ln -sf libecpg.so.6.3 libecpg.so.6 )
( cd usr/lib64 ; rm -rf libpq.so )
( cd usr/lib64 ; ln -sf libpq.so.5.4 libpq.so )
( cd usr/lib64 ; rm -rf libecpg.so )
( cd usr/lib64 ; ln -sf libecpg.so.6.3 libecpg.so )
( cd usr/lib64 ; rm -rf libpgtypes.so.3 )
( cd usr/lib64 ; ln -sf libpgtypes.so.3.2 libpgtypes.so.3 )
